|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QWidget class reference

### Public Functions

- bool isEnabledToTLW () const `(obsolete)`
- bool isTopLevel () const `(obsolete)`
- QWidget * topLevelWidget () const `(obsolete)`

### Protected Functions

- virtual void languageChange () `(obsolete)`

## Member Function Documentation

### bool QWidget::isEnabledToTLW () const

This function is deprecated. It is equivalent to isEnabled()

### bool QWidget::isTopLevel () const

Use isWindow() instead.

### void QWidget::languageChange () `[virtual protected]`

### QWidget * QWidget::topLevelWidget () const

Use window() instead.